<?php
namespace Claromentis\News\Comments;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("com" . "men" . "t" => base64_decode("Y29tbWVud" . "A=="), "_e8d7d527b284cadd317d" . "fbdb10b34e4e" => base64_decode("Q29tbWVudFVwZGF0ZWRFd" . "mVudFJlY2VpdmVy"), "_d3c72043723006b6594" . "92f087ddf1fdf" => base64_decode("bmV3c" . "w=="), "_d50d529d5739d103bc48e65a4" . "b513fe3" => base64_decode("Q29tbWVudEFkZG" . "VkRXZlbnRSZWNl" . "aXZlcg=="), "_2e799a34cc60c" . "12ca876d27b573" . "a11eb" => base64_decode("IGFkZG" . "Vk"), "_4e7af63a0a4c1eafe5742f795b9" . "8e323" => base64_decode("TmV3cyBjb21tZW50" . "ICM="), "_191a9c694701b5e98f9b02b731" . "05f5cf" => base64_decode("Q29tbWVudE" . "RlbGV0ZWRF" . "dmVudFJlY2" . "VpdmVy"));
use ClaAudit;
use Claromentis\Comments\Events\CommentAddedEvent;
use Claromentis\Comments\Events\CommentDeletedEvent;
use Claromentis\Comments\Events\CommentUpdatedEvent;
use Claromentis\Comments\Model\Comment;
use Claromentis\Search\Indexing\IndexingQueue;
use Claromentis\Search\ItemType\Indexing\News;
use NewsItem;
use Symfony\Component\EventDispatcher\EventDispatcherInterface;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;






class CommentsSubscriber implements EventSubscriberInterface
{
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public static function getSubscribedEvents()
    {
        return [CommentAddedEvent::EVENT_NAME => $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_d50d529" . "d5739d10" . "3bc48e65" . "a4b513fe" . "3"], CommentDeletedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_191a9c694701b5e98f9b02b73105" . "f5cf"], CommentUpdatedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_e8d7d527b284cadd317dfbdb" . "10b34e4e"]];
    }
    public function CommentAddedEventReceiver(CommentAddedEvent $event, $_5693d84b45564f912e36404cbe8957e8, EventDispatcherInterface $dispatcher)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            
            
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                ClaAudit::Store(AUDIT_SUCCESS, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_d3c72043723006b659" . "492f087ddf1fdf"], $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["com" . "men" . "t"], $comment->object_id, $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_4e7af63a0a4c1eafe5742f795b98" . "e323"] . $comment->id . $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_2e799a34cc60c12ca876d27b573" . "a11eb"]);
                $event->stopPropagation();
            }
        }
    }
    public function CommentDeletedEventReceiver(CommentDeletedEvent $event)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                $event->stopPropagation();
            }
        }
    }
    public function CommentUpdatedEventReceiver(CommentUpdatedEvent $event)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                $event->stopPropagation();
            }
        }
    }
}